# Review: https://bugzilla.redhat.com/show_bug.cgi?id=499132

%global srcname alarm-clock

Name:           gnome-applet-alarm-clock
Version:        0.2.5
Release:        2%{?dist}
Summary:        Alarm clock for the GNOME panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://alarm-clock.pseudoberries.com
Source0:        http://launchpad.net/alarm-clock/trunk/0.2/+download/alarm-clock-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-panel-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gstreamer-devel >= 0.10.2
BuildRequires:  libglade2-devel
BuildRequires:  libnotify-devel
Requires:       gnome-panel gnome-icon-theme
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Alarm Clock is a fully-featured alarm clock for the GNOME panel. It's easy to 
use yet powerful with support for multiple repeatable alarms, as well as 
snoozing and a flexible notification system. 

%prep
%setup -qn %{srcname}-%{version}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{srcname}.schemas >/dev/null || :
fi


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{srcname}.schemas > /dev/null || :


%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{srcname}.schemas > /dev/null || :
fi


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_sysconfdir}/gconf/schemas/alarm-clock.schemas
%{_bindir}/alarm-clock-applet
%{_libdir}/bonobo/servers/AlarmClock.server
%{_datadir}/alarm-clock/glade/alarm-clock.glade
%{_datadir}/icons/hicolor/*/apps/alarm-*.*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.5-1
- Initial Fedora package
